summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Andre Barboza <bmg.andre@gmail.com>2015-10-29 00:45:52 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-10-29 19:37:21 +0700
commit7d27185055bf4623e54f3c0000c70ecc6aa2787e (patch)
tree37545e8521144ccae8427a714b49e027d88897ac /development
parent9e490a336bde43bf6727d1f6f344c226c7b7e81b (diff)
downloadslackbuilds-7d27185055bf4623e54f3c0000c70ecc6aa2787e.tar.gz
slackbuilds-7d27185055bf4623e54f3c0000c70ecc6aa2787e.tar.xz
development/nuget: Added (Package manager).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/nuget/README3
-rw-r--r--development/nuget/nuget.SlackBuild67
-rw-r--r--development/nuget/nuget.info11
-rw-r--r--development/nuget/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/development/nuget/README b/development/nuget/README
new file mode 100644
index 0000000000..d8f446acdf
--- /dev/null
+++ b/development/nuget/README
@@ -0,0 +1,3 @@
+NuGet is the package manager for the Microsoft development
+platform including .NET. The NuGet client tools provide
+the ability to produce and consume packages.
diff --git a/development/nuget/nuget.SlackBuild b/development/nuget/nuget.SlackBuild
new file mode 100644
index 0000000000..f1d90c817b
--- /dev/null
+++ b/development/nuget/nuget.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for NuGet Package Management
+
+# Copyright 2015, Andre Barboza, Belo Horizonte
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nuget
+VERSION=${VERSION:-2.8.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+ARCH=noarch
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+
+mkdir -p ${PKG}/usr/share/NuGet.PackageManagement/
+install -m 0644 ${CWD}/nuget.exe ${PKG}/usr/share/NuGet.PackageManagement/
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p ${PKG}/usr/bin
+cat <<EOF > ${PKG}/usr/bin/nuget
+#!/bin/bash
+mono /usr/share/NuGet.PackageManagement/nuget.exe \$*
+EOF
+chmod 755 ${PKG}/usr/bin/nuget
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/development/nuget/nuget.info b/development/nuget/nuget.info
new file mode 100644
index 0000000000..d305156965
--- /dev/null
+++ b/development/nuget/nuget.info
@@ -0,0 +1,11 @@
+PRGNAM="nuget"
+VERSION="2.8.6"
+HOMEPAGE="https://www.nuget.org/"
+DOWNLOAD="https://dist.nuget.org/win-x86-commandline/v2.8.6/nuget.exe"
+MD5SUM="ef16c016d7eb396c8f65888a53b69d78"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="mono"
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"
+
diff --git a/development/nuget/slack-desc b/development/nuget/slack-desc
new file mode 100644
index 0000000000..e92fc636d3
--- /dev/null
+++ b/development/nuget/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nuget: nuget (Package manager for the Microsoft development)
+nuget:
+nuget: NuGet is the package manager for the Microsoft development platform
+nuget: including .NET. The NuGet client tools provide the ability to
+nuget: produce and consume packages.
+nuget:
+nuget:
+nuget:
+nuget:
+nuget: https://www.nuget.org/
+nuget: